﻿using System.Windows.Controls;
using System.Windows.Input;

namespace TVAppLauncher
{
    /// <summary>
    /// A button that clicks on KeyUp with the enter key. The Button's ClickMode property only applies to the mouse.
    /// </summary>
    public class MenuButton : Button
    {
        protected override void OnKeyDown(System.Windows.Input.KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
                e.Handled = true;
            else
                base.OnKeyDown(e);
        }

        protected override void OnKeyUp(System.Windows.Input.KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                e.Handled = true;
                OnClick();
            }
            else
                base.OnKeyUp(e);
        }
    }
}
